/**
 * for SSR in clash
 */
/**
# ShadowsocksR

The supported ciphers (encryption methods): all stream ciphers in ss
The supported obfses:
  plain http_simple http_post
  random_head tls1.2_ticket_auth tls1.2_ticket_fastauth
The supported supported protocols:
  origin auth_sha1_v4 auth_aes128_md5
  auth_aes128_sha1 auth_chain_a auth_chain_b

e.g

- name: "ssr"
  type: ssr
  server: server
  port: 443
  cipher: chacha20-ietf
  password: "password"
  obfs: tls1.2_ticket_auth
  protocol: auth_sha1_v4
  # obfs-param: domain.tld
  # protocol-param: "#"
  # udp: true
 */
export interface ClashSsrProxyItem {
    'type': 'ssr';
    'name': string;
    'server': string;
    'port': number;
    'cipher': ClashSsr.Cipher;
    'password': string;
    'obfs': ClashSsr.Obfs;
    'protocol': ClashSsr.Protocol;
    'obfs-param'?: string;
    'protocol-param'?: string;
    'udp'?: boolean;
}
/**
 * Support Types
 */
export declare namespace ClashSsr {
    type Cipher = 'rc4' | 'rc4-md5' | 'aes-128-gcm' | 'aes-192-gcm' | 'aes-256-gcm' | 'aes-128-cfb' | 'aes-192-cfb' | 'aes-256-cfb' | 'aes-128-ctr' | 'aes-192-ctr' | 'aes-256-ctr' | 'chacha20' | 'chacha20-ietf' | 'chacha20-ietf-poly1305' | 'xchacha20-ietf-poly1305';
    type Obfs = 'plain' | 'http_simple' | 'http_post' | 'random_head' | 'tls1.2_ticket_auth' | 'tls1.2_ticket_fastauth';
    type Protocol = 'origin' | 'auth_sha1_v4' | 'auth_aes128_md5' | 'auth_aes128_sha1' | 'auth_chain_a' | 'auth_chain_b';
}
export declare function urlLineToClashSsrServer(str: string): ClashSsrProxyItem;
