import { urlLineToClashSsrServer, urlLineToClashVmessServer, } from './define';
import { B64, truthy } from './utils';
export function textToSubscribe(text) {
    text = B64.decode(text);
    const rawLines = text.split(/\r?\n/).filter(Boolean);
    const lines = rawLines
        .map((line) => {
        const idx = line.indexOf('://');
        const type = line.slice(0, idx);
        let text = line.slice(idx + '://'.length);
        text = B64.decode(text);
        let server;
        if (type === 'vmess') {
            const line = JSON.parse(text);
            server = urlLineToClashVmessServer(line);
        }
        if (type === 'ssr') {
            server = urlLineToClashSsrServer(text);
        }
        return server;
    })
        .filter(truthy);
    return lines;
}
